DetokenizationDictionary.Operation (Apache OpenNLP Tools 1.9.5 API)
Date: 2026-06-18

opennlp.tools.tokenize

## Enum DetokenizationDictionary.Operation

- java.lang.Object
- - java.lang.Enum<DetokenizationDictionary.Operation>
  - - opennlp.tools.tokenize.DetokenizationDictionary.Operation

- All Implemented Interfaces:
    Serializable, Comparable<DetokenizationDictionary.Operation>
  Enclosing class:
    DetokenizationDictionary

      public static enum DetokenizationDictionary.Operation
      extends Enum<DetokenizationDictionary.Operation>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MOVE_BOTH` Attaches the token to the token on the left and right sides.
    `MOVE_LEFT` Attaches the token to the token on the left side.
    `MOVE_RIGHT` Attaches the token to the token on the right side.
    `RIGHT_LEFT_MATCHING` Attaches the token token to the right token on first occurrence, and to the token on the left side on the second occurrence.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DetokenizationDictionary.Operation` | `parse(String operation)`
    `static DetokenizationDictionary.Operation` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DetokenizationDictionary.Operation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MOVE_RIGHT

          public static final DetokenizationDictionary.Operation MOVE_RIGHT

      Attaches the token to the token on the right side.

    - #### MOVE_LEFT

          public static final DetokenizationDictionary.Operation MOVE_LEFT

      Attaches the token to the token on the left side.

    - #### MOVE_BOTH

          public static final DetokenizationDictionary.Operation MOVE_BOTH

      Attaches the token to the token on the left and right sides.

    - #### RIGHT_LEFT_MATCHING

          public static final DetokenizationDictionary.Operation RIGHT_LEFT_MATCHING

      Attaches the token token to the right token on first occurrence, and to the token on the left side on the second occurrence.

  - ### Method Detail

    - #### values

          public static DetokenizationDictionary.Operation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DetokenizationDictionary.Operation c : DetokenizationDictionary.Operation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DetokenizationDictionary.Operation valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### parse

          public static DetokenizationDictionary.Operation parse(String operation)

Copyright © 2026 The Apache Software Foundation. All rights reserved.